import { Router } from "express";

import UserController from "../controllers/user";
import existance from '../middlewares/existance';

const UserRouter = Router();

UserRouter.post('/register', existance.userShouldNotExist, UserController.register);
UserRouter.post('/login', existance.userShouldExist, UserController.login);

export default UserRouter;